require('Data.loveframes')
love.graphics.setMode(640,480)

TITLE = {}
TITLE.background = love.graphics.newImage("Graphics/Title")
TITLE.size = {w=100, h=30}
TITLE.optionsX = 260
TITLE.optionsY = 180
TITLE.spacing = 40

function TITLE.newGame(button)
	print('NG')
end

function TITLE.loadGame(button)
	print('LG')
end

function TITLE.exit(button)
	print('E')
end

function love.load()

	local newGame = loveframes.Create("button")
	newGame:SetSize(TITLE.size.w, TITLE.size.h)
	newGame:SetPos(TITLE.optionsX, TITLE.optionsY)
	newGame:SetText("New Game")
	newGame.OnClick = TITLE.newGame


	local loadGame = loveframes.Create("button")
	loadGame:SetSize(TITLE.size.w, TITLE.size.h)
	loadGame:SetPos(TITLE.optionsX, TITLE.optionsY + TITLE.spacing)
	loadGame:SetText("Load Game")
	loadGame.OnClick = TITLE.loadGame


	local exit = loveframes.Create("button")
	exit:SetSize(TITLE.size.w, TITLE.size.h)
	exit:SetPos(TITLE.optionsX, TITLE.optionsY + TITLE.spacing * 2)
	exit:SetText("Exit")
	exit.OnClick = TITLE.exit

	TITLE.newGame = newGame
	TITLE.loadGame = loadGame
	TITLE.exit = exit
end

function love.update(dt)
	loveframes.update(dt)
end

function love.draw()
	love.graphics.draw(TITLE.background)
	loveframes.draw()
end
 
function love.mousepressed(x, y, button)
	loveframes.mousepressed(x, y, button)
end
 
function love.mousereleased(x, y, button)
	loveframes.mousereleased(x, y, button)
end
 
function love.keypressed(key, unicode)
	loveframes.keypressed(key, unicode)
end
 
function love.keyreleased(key)
	loveframes.keyreleased(key)
end

